Archive Multiple Promotions

Archives multiple promotions. Accepts an array of promotion IDs to archive. Archiving a coupon-based promotion deletes all coupon codes created for that promotion before the time of archiving. Because a promotion can have a large number of codes, the deletion runs asynchronously and can take a few minutes to complete. Archiving a promotion also removes it from the featured list, freeing up a seat for another active promotion. Its priority is ignored by priority management operations on active promotions. If the promotion is later unarchived, it's placed at the bottom of the priority list. **Note:** The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of integers.

Response

The promotions were archived successfully.

Errors

422
Unprocessable Entity Error
500
Internal Server Error